# use IBM JDK to build this package, Sun JDK fails loading javadoc servlet
%define base_name	xalan-j
%define major_version	1
%define name		%{base_name}%{major_version}
%define version		1.2.2
%define release		5jpp
%define module		xml-xalan
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java XSLT processor
License:	Apache License
Source0:	%{base_name}-%{version}-cvs.tar.bz2
Patch0:		%{name}.classpath.build.patch.bz2		
Url:		http://xml.apache.org/xalan
Requires:	oldxerces-j
BuildRequires:	ant
BuildRequires:	oldxerces-j
BuildRequires:	bsf
Group:		Development/Java
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
Xalan is an XSLT processor for transforming XML documents into HTML,
text, or other XML document types. It implements the W3C Recommendations
for XSL Transformations (XSLT) and the XML Path Language (XPath). It can
be used from the command line, in an applet or a servlet, or as a module
in other program.

%package manual
Summary:	Manual for %{name}
Group:		Development/Java
BuildRequires:	stylebook1.0b2

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demo for %{name}
Group:		Development/Java
Requires:	%{name} = %{version}-%{release}
Requires:	servlet
BuildRequires:	servlet

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{module}
%patch0
# remove all binary libs
find . -name "*.jar" ! -name "xalanjdoc.jar" -exec rm -f {} \;
# remove all CVS files
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%build
export CLASSPATH=\
%{javadir}/bsf.jar:\
%{javadir}/servlet.jar:\
%{javadir}/stylebook1.0b2.jar:\
xdocs/xalanjdoc.jar
ant package
ant docs
ant javadocs
ant samples

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/xalan.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/docs/apidocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf build/docs/apidocs
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 build/samples/xalansamples.jar $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}-samples.jar
cp -pr samples $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS KEYS README README.html
%{javadir}/*

%files manual
%defattr(-,root,root)
%doc build/docs/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.2-5jpp 
- generic servlet support

* Sun Jan 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.2-4jpp 
- used versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependencies for demo package
- adaptation to new stylebook1.0b2 package
- adaptation to new servlet3 package
- section macro

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.2-3jpp
- requires oldxerces instead of jaxp_parser
- removed redudant buildRequires
- javadoc in javadoc package

* Mon Nov 26 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.2-2jpp
- fixed bad requires (Christian Belisle <cbelisle@mandrakesoft.com>)

* Thu Oct 18 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.2-1jpp
- first Mandrake release
